/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
    This file is part of the FB library.

    The FB library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The FB library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 * $Header
 *
 * $Log: main.c,v $
 * Revision 1.1  2001/05/23 20:55:25  wex
 * Added to repository.
 *
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <fb.h>

static void usage();


int
main(int argc, char *argv[])
{
    float gamma;

    
    if (argc != 2) {
        usage();
        return EXIT_FAILURE;
    }
    
    if (FB_set_gamma(atof(argv[1])) != 0) {
        fprintf(stderr, "%s Error: %s\n", argv[0], FB_error_string());
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}

        
static void
usage(void)
{
    fprintf(stderr, "Usage: fb_gamma <gamma>\n");
    fprintf(stderr, "Which: sets the hardware lookup tables using a "
        "gamma curve\n");
    fprintf(stderr, "Where: <gamma>   The floating point gamma exponent\n");
}

    
