/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
    This file is part of the FB library.

    The FB library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The FB library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 * $Header: /usr/local/cvsroot/flarg/lib/fb/fb_error.c,v 1.1 2001/05/23 20:06:28 wex Exp $
 *
 * $Log: fb_error.c,v $
 * Revision 1.1  2001/05/23 20:06:28  wex
 * Added to repository.
 *
 *
 */

#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "fb.h"

int FB_errno = FB_ERR_NONE;

char *
FB_error_string(void)
{
	switch (FB_errno) {
	case FB_ERR_NONE:
		return "No error";
	case FB_ERR_PERMISSION:
		return "Invalid permissions (try running as root)";
	case FB_ERR_GAMMA_RANGE:
		return "Gamma value out of range";
	}

	return "Unknown error";
}
